Bug 58062 - VIEWING: form of database too big for screen
Summary: VIEWING: form of database too big for screen
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.4.3 release
Hardware: All All
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Calc-DataForm
  Show dependency treegraph
 
Reported: 2012-12-10 00:03 UTC by Horst
Modified: 2021-04-03 03:46 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Horst 2012-12-10 00:03:40 UTC
Database table with around 35 columns and 115 records (rows) in CALC.
Selecting Menue Data-> Form.. opens a windows roughly twice the height of the screen, so you can not see the full form. On top of the slider it says 1/21. I have more then 21 columns or rows ????

Moving the slider moves through the records not through the columns.

It is impossible to view/edit the last columns.

 Same in LO 3.5.7
Comment 1 Horst 2013-02-14 23:06:50 UTC
Problem is still present  in LO4.0.0.3.
Comment 2 Alex Thurgood 2015-01-03 17:38:02 UTC Comment hidden (no-value)
Comment 3 QA Administrators 2016-01-17 20:01:42 UTC Comment hidden (obsolete)
Comment 4 Horst 2016-01-17 21:51:03 UTC
Tested bug in LO 5.0.4.2. 
The display window stretches now from top to bottom displaying 33 of 55 fields. There is still no way to change the display (Elevator) to display the missing 22 fields.
Comment 5 QA Administrators 2017-03-06 13:41:55 UTC Comment hidden (obsolete)
Comment 6 Horst 2017-03-15 19:33:20 UTC
The problem still exists in LO 5.3.0.3. Comment #4 is still active.

The slider/elevator moves through the records and NOT through the Field Names. There are separate buttons to go through the records. Did somebody lock the slider to the wrong object/list??
Comment 7 QA Administrators 2018-03-16 03:36:14 UTC Comment hidden (obsolete)
Comment 8 Thomas Lendo 2018-03-17 22:07:45 UTC
Still reproduced with Version: 6.1.0.0.alpha0+
Build ID: df4253787e9f6ba4951ee2f416ec65937b2c8ddf
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-03-16_23:54:15
Locale: de-DE (de_DE.UTF-8); Calc: group
Comment 9 QA Administrators 2019-03-18 03:45:00 UTC Comment hidden (obsolete)
Comment 10 inddev7 2019-04-03 16:15:10 UTC
This bug still exists. It prevents using the default Data | Form... for larger data columns, which means it's useless for more productive work.

A simple solution would be to add a second scroll bar in a different area.
A _real_ solution would allow the user to access to the default form's layout. 


LibreOffice
Version: 6.2.2.2
Build ID: 1:6.2.2-0ubuntu1
CPU threads: 4; OS: Linux 5.0; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 11 QA Administrators 2021-04-03 03:46:51 UTC
Dear Horst,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug